export default function () {
  return {
    path: '.github/workflows/dependabot.yml',
    content: `
      name: Dependabot
      on: pull_request
      jobs:
        dependabot:
          runs-on: ubuntu-latest
          steps:
            - if: \${{ github.actor == 'dependabot[bot]' }}
              uses: actions/github-script@v3
              with:
                script: |
                  github.pullRequests.createReview({
                    owner: context.payload.repository.owner.login,
                    repo: context.payload.repository.name,
                    pull_number: context.payload.pull_request.number,
                    event: 'APPROVE'
                  })
                  github.pullRequests.merge({
                    owner: context.payload.repository.owner.login,
                    repo: context.payload.repository.name,
                    pull_number: context.payload.pull_request.number
                  })
    `
  }
}
